# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: UploadImages.proto
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import descriptor_pool as _descriptor_pool
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()




DESCRIPTOR = _descriptor_pool.Default().AddSerializedFile(b'\n\x12UploadImages.proto\x12\tmicro_gan\"D\n\x12UploadImageRequest\x12!\n\x04meta\x18\x01 \x01(\x0b\x32\x13.micro_gan.Metadata\x12\x0b\n\x03url\x18\x02 \x01(\t\"%\n\x13UploadImageResponse\x12\x0e\n\x06\x61nswer\x18\x01 \x01(\t\"e\n\x08Metadata\x12\x33\n\x0bparent_type\x18\x01 \x01(\x0e\x32\x1e.micro_gan.Metadata.ParentType\"$\n\nParentType\x12\n\n\x06\x46\x41THER\x10\x00\x12\n\n\x06MOTHER\x10\x01\x32\x62\n\x12UploadImageService\x12L\n\x0bUploadImage\x12\x1d.micro_gan.UploadImageRequest\x1a\x1e.micro_gan.UploadImageResponseb\x06proto3')



_UPLOADIMAGEREQUEST = DESCRIPTOR.message_types_by_name['UploadImageRequest']
_UPLOADIMAGERESPONSE = DESCRIPTOR.message_types_by_name['UploadImageResponse']
_METADATA = DESCRIPTOR.message_types_by_name['Metadata']
_METADATA_PARENTTYPE = _METADATA.enum_types_by_name['ParentType']
UploadImageRequest = _reflection.GeneratedProtocolMessageType('UploadImageRequest', (_message.Message,), {
  'DESCRIPTOR' : _UPLOADIMAGEREQUEST,
  '__module__' : 'UploadImages_pb2'
  # @@protoc_insertion_point(class_scope:micro_gan.UploadImageRequest)
  })
_sym_db.RegisterMessage(UploadImageRequest)

UploadImageResponse = _reflection.GeneratedProtocolMessageType('UploadImageResponse', (_message.Message,), {
  'DESCRIPTOR' : _UPLOADIMAGERESPONSE,
  '__module__' : 'UploadImages_pb2'
  # @@protoc_insertion_point(class_scope:micro_gan.UploadImageResponse)
  })
_sym_db.RegisterMessage(UploadImageResponse)

Metadata = _reflection.GeneratedProtocolMessageType('Metadata', (_message.Message,), {
  'DESCRIPTOR' : _METADATA,
  '__module__' : 'UploadImages_pb2'
  # @@protoc_insertion_point(class_scope:micro_gan.Metadata)
  })
_sym_db.RegisterMessage(Metadata)

_UPLOADIMAGESERVICE = DESCRIPTOR.services_by_name['UploadImageService']
if _descriptor._USE_C_DESCRIPTORS == False:

  DESCRIPTOR._options = None
  _UPLOADIMAGEREQUEST._serialized_start=33
  _UPLOADIMAGEREQUEST._serialized_end=101
  _UPLOADIMAGERESPONSE._serialized_start=103
  _UPLOADIMAGERESPONSE._serialized_end=140
  _METADATA._serialized_start=142
  _METADATA._serialized_end=243
  _METADATA_PARENTTYPE._serialized_start=207
  _METADATA_PARENTTYPE._serialized_end=243
  _UPLOADIMAGESERVICE._serialized_start=245
  _UPLOADIMAGESERVICE._serialized_end=343
# @@protoc_insertion_point(module_scope)
